from pasteob.errors import RedirectResponse
from pasteob.auth.logic import AuthLogic
from mext.uri import *

__all__ = ['CasAuthLogic']

class CasAuthLogic(AuthLogic):
    pop_ticket = False # if True, remove ticket= arg from query
    user = None

    def __init__(self, req):
        a = self.authority
        assert a, "CasAuthLogic subclasses should define their authority"
        if not isinstanace(a, AbsoluteUri):
            a = self.authority = AbsoluteUri(a)
        assert a.query is None
        assert a.path.endswith('/')
        q = req.str_GET
        if 'ticket' in q:
            ticket = q['ticket']
            if self.pop_ticket:
                del q['ticket']
            target = self.authority.join('validate')
            target.query_dict['service'] = req.url
            target.query_dict['ticket'] = ticket
            r = self._read_url(target).split("\n")
            if 'yes' == r[0]:
                username = r[1]
                req.remote_user = username
                #req.environ['AUTH_TYPE'] = 'cas'
                self.logged_in = True
                self.user = User(username)

    def _read_url(self, url):
        from urllib import urlopen
        return urlopen(str(url)).read()

##     def _read_url(self, url):
##         from mext.http import HTTP
##         assert uri.scheme == 'http'
##         r = HTTP[uri.netloc].request('GET', uri.path_qs)
##         return r.read()
##

    def _login_now(self):
        assert not self.logged_in
        target = self.authority.join('login')
        target.query_dict['service'] = self.url
        return RedirectResponse('see', target)


