#! /usr/bin/env python
import sys, os
from setuptools import setup, find_packages

setup(
    name="PasteOb",
    version='0.8.1',
    description="Web development toolkit for people who know what they are doing",
    long_description="""
        A collection of small and independent components for web development.
        Everything here is just a bunch of WSGI apps and middlewares and helpers.
        If you like frameworks, stay away.
    """,
    classifiers=[
        #"Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Internet :: WWW/HTTP :: Dynamic Content",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Topic :: Internet :: WWW/HTTP :: WSGI",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Middleware",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Server",
    ],
    keywords='web application wsgi',
    author="Sergey Schetinin",
    author_email="sergey@maluke.com",
    url="http://www.maluke.com/tech/pasteob",
    download_url='http://bitbucket.org/mlk/pasteob/get/tip.zip',
    license="MIT",
    packages=find_packages(),
    install_requires=[
        'WebOb>=1.0',
        'mext.context>=0.6',
        'mext.xmlgen>=3.1',
        'mext.uri>=1.2.1',
    ],
    test_suite = 'test.suite',
    tests_require = ['mext.test>=0.4'],
)


